### config_from_concurrency_hint

Configures an execution context based on a concurrency hint.

    class config_from_concurrency_hint :
      public execution_context::service_maker

##### Member Functions

Name | Description
--- | ---
config_from_concurrency_hint [constructor] | Construct with a default concurrency hint. — Construct with a specified concurrency hint.
make | Add a concrete service to the specified execution context.

This configuration service is provided for backwards compatibility with the existing concurrency hint mechanism.

##### Example

    asio::io_context my_io_context{
       asio::config_from_concurrency_hint{1}};

##### Requirements

Header: `asio/config.hpp`

Convenience header: `asio.hpp`